#include "Dialog.h"
#include "options.h"
#include <QBoxLayout>
#include <QLineEdit>
#include <QSpinBox>
#include <QDialogButtonBox>
#include <QLabel>

Dialog::Dialog(Options *option, QWidget *parent) :
    QDialog(parent)
{
    QHBoxLayout *layoutLineEdit = new QHBoxLayout;
    QHBoxLayout *layoutTemps    = new QHBoxLayout;
    QVBoxLayout *layoutDialog = new QVBoxLayout;
    QDialogButtonBox *boutonJouer = new QDialogButtonBox (QDialogButtonBox::Ok | QDialogButtonBox::Cancel);
    QLabel *labelTempsDepart= new QLabel("Temps départ (minutes)");
    spinTempsDepart     = new QSpinBox;
    spinTempsDepart->setMinimum(0);
    spinTempsDepart->setMaximum(300);
    spinTempsDepart->setValue(option->tempsDepart());
    joueur1LineEdit = new QLineEdit(option->nomJoueur1() , this);
    joueur2LineEdit = new QLineEdit(option->nomJoueur2() , this);
    joueur1LineEdit->selectAll();

    layoutLineEdit->addWidget(joueur1LineEdit);
    layoutLineEdit->addWidget(joueur2LineEdit);
    layoutTemps->addWidget(labelTempsDepart);
    layoutTemps->addWidget(spinTempsDepart);
    layoutDialog->addLayout(layoutTemps);
    layoutDialog->addLayout(layoutLineEdit);
    layoutDialog->addWidget(boutonJouer);
    setLayout(layoutDialog);

    QObject::connect(boutonJouer , SIGNAL(accepted()) , this, SLOT(accept()));
    QObject::connect(boutonJouer , SIGNAL(rejected()) , this, SLOT(close()));
}

Dialog::~Dialog() {

}

QString Dialog::joueur1 () const {
    return joueur1LineEdit->text();
}

QString Dialog::joueur2 () const {
    return joueur2LineEdit->text();
}

int Dialog::tempsDepart () const {
    return spinTempsDepart->value();
}
